> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add or Update a LinkedIn Account (Native)

The best practice is to first [Create a User](/v3/api-reference/users/create-update-user) and then include the `user_uid` in the `account` payload:

```json
    // ...
    "account": {
        // ... rest of the payload
        "user_uid": "User UID previously created",
    }
    // ...
```

The provided code example demonstrates how to create an `account`. To update
an existing account, include the account's `uid` within the account payload:

```json
    // ...
    "account": {
        "uid": "Add the Account's UID to update the account",
        "username": "elon@musk.com",
        "password": "********"
    }
    // ...
```

<Note>
  LinkedIn will most likely require you to complete a checkpoint. You can handle
  this using the [Solve LinkedIn
  Checkpoint](/v3/api-reference/linkedin/checkpoint) endpoint. Please note that
  CAPTCHA solving may take a long time and could fail.
</Note>


## OpenAPI

````yaml post /v3/integrations/linkedin/accounts
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/integrations/linkedin/accounts:
    post:
      tags:
        - LinkedIn
      summary: Add or Update a LinkedIn Account (Native)
      operationId: v3_add_linkedin_account
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedInNativeIntegrationAccountBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                message: Application configured.
                checkpoint:
                  type: >-
                    PHONE_REGISTER; can be 2FA, OTP, EMAIL, IN_APP_VALIDATION,
                    CAPTCHA or PHONE_REGISTER
                account:
                  uid: xxxxxxx-xxxx-4104-ab33-3bb4d488a795
                  user_uid: xxxxxxx-xxxx-4c68-81ec-b3479fe5385b
                  setup_at: '2025-03-05T08:26:16.177847'
                  via_extension: false
                  is_shared: false
                  level: null
                  is_valid: null
                  integration_permalink: linkedin
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    LinkedInNativeIntegrationAccountBody:
      title: LinkedInNativeIntegrationAccountBody
      type: object
      properties:
        account:
          title: Account
          description: The account JSON object to create or update.
          type: object
          example:
            username: elon@musk.com
            password: '********'
            user_uid: (Optional) User UID previously created
        resume_paused_jobs:
          title: Resume Paused Jobs
          description: >-
            Set this to true to resume all paused jobs if you update, for
            example, an account's cookie.
          type: boolean
          example: false
          default: false
        shared_account:
          title: Shared Account
          description: Set this to true to share this account to an external user.
          type: boolean
          example: false
          default: false
        retrieve_ip:
          title: Retrieve Ip
          description: >-
            Set this to true to retrieve the IP we attribute to the
            user/account.
          type: boolean
          example: false
          default: false
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````